# eric4.Helpviewer.Bookmarks.BookmarksMenu

Module implementing the bookmarks menu.

### Global Attributes

None

### Classes

BookmarksMenu | Class implementing the bookmarks menu base class.
BookmarksMenuBarMenu | Class implementing a dynamically populated menu for bookmarks.

### Functions

None

## BookmarksMenu

Class implementing the bookmarks menu base class.

### Signals

newUrl(const QUrl&, const QString&)
  emitted to open a URL in a new tab
openUrl(const QUrl&, const QString&)
  emitted to open a URL in the current tab

### Derived from

E4ModelMenu

### Class Attributes

None

### Class Methods

None

### Methods

BookmarksMenu | Constructor
__activated | Private slot handling the activated signal.
__contextMenuRequested | Private slot to handle the context menu request.
__openAll | Private slot to open all the menu's items.
__openBookmark | Private slot to open a bookmark in the current browser tab.
__openBookmarkInNewTab | Private slot to open a bookmark in a new browser tab.
__removeBookmark | Private slot to remove a bookmark.
createBaseMenu | Public method to get the menu that is used to populate sub menu's.
postPopulated | Public method to add any actions after the tree.

### Static Methods

None

#### BookmarksMenu (Constructor)

BookmarksMenu(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### BookmarksMenu.__activated

__activated(idx)

Private slot handling the activated signal.

idx
  index of the activated item (QModelIndex)

#### BookmarksMenu.__contextMenuRequested

__contextMenuRequested(pos)

Private slot to handle the context menu request.

pos
  position the context menu shall be shown (QPoint)

#### BookmarksMenu.__openAll

__openAll()

Private slot to open all the menu's items.

#### BookmarksMenu.__openBookmark

__openBookmark()

Private slot to open a bookmark in the current browser tab.

#### BookmarksMenu.__openBookmarkInNewTab

__openBookmarkInNewTab()

Private slot to open a bookmark in a new browser tab.

#### BookmarksMenu.__removeBookmark

__removeBookmark()

Private slot to remove a bookmark.

#### BookmarksMenu.createBaseMenu

createBaseMenu()

Public method to get the menu that is used to populate sub menu's.

Returns:
  reference to the menu (BookmarksMenu)

#### BookmarksMenu.postPopulated

postPopulated()

Public method to add any actions after the tree.

Up

## BookmarksMenuBarMenu

Class implementing a dynamically populated menu for bookmarks.

### Derived from

BookmarksMenu

### Class Attributes

None

### Class Methods

None

### Methods

BookmarksMenuBarMenu | Constructor
prePopulated | Public method to add any actions before the tree.
setInitialActions | Public method to set the list of actions that should appear first in the menu.

### Static Methods

None

#### BookmarksMenuBarMenu (Constructor)

BookmarksMenuBarMenu(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### BookmarksMenuBarMenu.prePopulated

prePopulated()

Public method to add any actions before the tree.

Returns:
  flag indicating if any actions were added

#### BookmarksMenuBarMenu.setInitialActions

setInitialActions(actions)

Public method to set the list of actions that should appear first in the menu.

actions
  list of initial actions (list of QAction)

Up